/**
 * Test case for setupMysql.
 * Runs with mocha.
 */
'use strict'

const setupMysql = require('../lib/setup/setup_mysql.js')
const co = require('co')
const assert = require('assert')

describe('setup mysql', () => {
  it('Setup mysql', () => co(function * () {
    yield setupMysql({
      DATABASE: 'ap-setupdb-test',
      USERNAME: 'hoge',
      PASSWORD: 'hoge',
      ROOT_PASSWORD: process.env.MYSQL_ROOT_PASSWORD
    })
  }))
})

/* global describe, before, after, it */
